/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.runtime.cache;


public final class OneBeforeAfter implements jasco.runtime.CombinedHooks {

	private final jasco.runtime.aspect.Cutpoint hook0;

	public  OneBeforeAfter(java.util.Vector hooks)  {
		this.hook0 = ((jasco.runtime.connector.CutpointElement)hooks.elementAt(0)).getCutpoint();
	}

	public java.lang.Object invoke(jasco.runtime.JascoMethod method) throws java.lang.Exception {
	
		hook0.before(method,method.getCalledObject(),method.getArgumentsArray());
		Object output = method.invokeOriginalJAsCoMethod();
		hook0.after(method,method.getCalledObject(),method.getArgumentsArray());
		return output;
	
	}
}
