/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.runtime.transform;

import javassist.CtMethod;

public class FieldGeneratorForCallbackPerMethod extends FieldGenerator  {
	
	public FieldGeneratorForCallbackPerMethod(ClassProcessor g)  {
	
		super(g,null);
	}
	
	public String generateCallbackObject(CtMethod method) {
	
	try  {
		return TransformerConstants.getClallBackPerMethodObject(method);
	}
	catch(Exception  ex)  {
		throw new IllegalArgumentException("error occured at FieldGeneratorForCallbackPerMethod.generateCallbackObject", ex);
	} 
	}
	
	public void generateCallbackClassField() throws Exception {
	
		
	}
	
	public String generateJascoMethodType()  {
		
		return "jasco.runtime.JascoDirectCallbackMethod";
	}
}