/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
/*
 * Created on 8-nov-2004
 */
package jasco.testing;

/**
 * @author Wim
 */
public class RunJugglerTest extends RunJAsCoProgramTest {

	public RunJugglerTest(int type) {
		super("test.RunJuggler", "Juggler test", type, true);
	
	}
	
	public boolean checkOutput(StringBuffer output) {
		
		String [] outputToOccur = new String[] {
				
				"boe",//test basic2connector
				//"CALLED", //test call hook
				"EXEC: paint IN sunw.demo.juggler.Juggler", //test exec hook
				"SUBTYPE: paint IN sunw.demo.juggler.Juggler",
				"REPLACED", //test replace deleter hook
				"!!!!!!!!!!!DImension returned .... java.awt.Dimension" //test after returning advice1
				
		};
		String [] outputNotToOccur = new String[] {
	
				"SUBTYPE: actionPerformed IN test.RunJuggler",
		};
		
		boolean b = this.checkOutputShouldOccur(output,outputToOccur);
		b=b&& this.checkOutputShouldNotOccur(output,outputNotToOccur);
		
		return b;
	}
	
	

}
