package test.basic;

import javax.swing.*;

import jasco.runtime.aspect.*;

import sunw.demo.juggler.*;

class AfterReturningTest {

	hook AfterReturningTestHook {
		
		private String test = "EXECUTING : ";
		
		AfterReturningTestHook(method(..args)) {
			execution(method);
		}
		
	
		after returning(int s) {
			
			System.out.println("!!!!!!!!!!!int returned .... "+s);
		}
		
		after returning(java.awt.Dimension s) {
			
			System.out.println("!!!!!!!!!!!DImension returned .... "+s);
		}
		
		after returning(String s) {
			
			System.out.println("!!!!!!!!!!!!String returned .... "+s);
		}
		
		after throwing(Exception ex) {
			System.out.println("captured exception "+ex.getMessage());
		}

	}
}