/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
/*
 * Created on 25-okt-2004
 */
package jasco.testing;

/**
 * @author Wim
 */
public class RunCountTest extends RunJAsCoProgramTest {

	public RunCountTest(int type) {
		super("jacbench.Bench", "counting test", type, true);
		
		addOption("1");
	}
	
	public boolean checkOutput(StringBuffer output) {
		
		String s = output.toString();
		
		int befores = getResult(s,"before:");
		int afters = getResult(s,"after:");
		int replaces = getResult(s,"replace:");
		
		return befores==73&&afters==219&&replaces==365;
	}
	
	public int getResult(String s, String del) {
		
		int index = s.lastIndexOf(del);
		if(index==-1)
			return -1;
		s=s.substring(index+del.length());
		index = s.indexOf(";");
		if(index==-1)
			return -1;
		s=s.substring(0,index);
		
		return Integer.valueOf(s).intValue();
	}

}
