package test.basic;

import javax.swing.*;

import jasco.runtime.JascoMethod;
import jasco.runtime.aspect.*;

class basic {

	hook easy {
		
		private String test = "EXECUTING : ";
		
		easy(method(..args)) {
			execution(method);
		}
		
		
		public void setPrintString(String text) {
		
			test=text;
		}
		
		private refinable void domethod(JascoMethod calledmethod) {
		
			System.out.println(test+calledmethod.getName()+" IN "+calledmethod.getClassName());
		}

		before() {
			domethod(thisJoinPoint);
		}
		
		after throwing(Throwable ex) {
			System.out.println("captured exception "+ex.getMessage());
		}
		
		after() {
			System.out.println("after");
		}
	
		public void globalPropertyChangeEvent(HookPropertyChangeEvent event) {
			try{
			System.out.println(event.getPropertyType()+"|"+event.getValue());
			if(event.getPropertyType() == HookPropertyChangeEvent.IS_ENABLED && event.getBooleanValue())
				System.out.println("isEnabled");
				
			if(event.getPropertyType() == HookPropertyChangeEvent.IS_REMOVED && event.getBooleanValue())
				System.out.println("isEnabled");
			}
			catch(Exception ex) {System.err.println(ex);}
		}
		
		isApplicable() {
			return true;
		}
	}
}